Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 456639 (rob) - Summary: SELinux is preventing mono (unlabeled_t) "unix_write" to <Unknown> (unlabeled_t).
Summary: Summary: SELinux is preventing mono (unlabeled_t) "unix_write" to <Unknown>...
Keywords:
Status: CLOSED WONTFIX
Alias: rob
Product: Fedora
Classification: Fedora
Component: mono
Version: 9
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: a-noob a-noob1 a-noob2 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-25 08:09 UTC by robert
Modified: 2009-07-14 15:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:59:14 UTC
Type: ---


Attachments (Terms of Use)

Description robert 2008-07-25 08:09:16 UTC
it happens ever time I update my computer

Summary:

SELinux is preventing mono (unlabeled_t) "unix_write" to <Unknown>
(unlabeled_t).

Detailed Description:

SELinux denied access requested by mono. It is not expected that this access is
required by mono and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:object_r:unlabeled_t:s0
Target Context                system_u:object_r:unlabeled_t:s0
Target Objects                None [ sem ]
Source                        mono
Source Path                   /usr/bin/mono
Port                          <Unknown>
Host                          localhost.localdomain
Source RPM Packages           mono-core-1.9.1-2.fc9
Target RPM Packages           
Policy RPM                    selinux-policy-3.3.1-42.fc9
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.25-14.fc9.i686 #1
                              SMP Thu May 1 06:28:41 EDT 2008 i686 i686
Alert Count                   1
First Seen                    Mon 24 Jul 2006 02:43:52 PM CST
Last Seen                     Mon 24 Jul 2006 02:43:52 PM CST
Local ID                      fe16bf8f-79eb-4761-8786-22ae75f74614
Line Numbers                  

Raw Audit Messages            

host=localhost.localdomain type=AVC msg=audit(1153773832.296:54): avc:  denied 
{ unix_write } for  pid=3150 comm="mono" key=1292099592
scontext=system_u:object_r:unlabeled_t:s0
tcontext=system_u:object_r:unlabeled_t:s0 tclass=sem

host=localhost.localdomain type=SYSCALL msg=audit(1153773832.296:54):
arch=40000003 syscall=117 per=400000 success=no exit=-13 a0=1 a1=0 a2=1 a3=0
items=0 ppid=1 pid=3150 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500
egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="mono" exe="/usr/bin/mono"
subj=system_u:object_r:unlabeled_t:s0 key=(null)




How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
it happens at the same time as these errors
error:2
Summary:

SELinux is preventing mono (unlabeled_t) "signal" to <Unknown> (unlabeled_t).

Detailed Description:

SELinux denied access requested by mono. It is not expected that this access is
required by mono and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:object_r:unlabeled_t:s0
Target Context                system_u:object_r:unlabeled_t:s0
Target Objects                None [ process ]
Source                        mono
Source Path                   /usr/bin/mono
Port                          <Unknown>
Host                          localhost.localdomain
Source RPM Packages           mono-core-1.9.1-2.fc9
Target RPM Packages           
Policy RPM                    selinux-policy-3.3.1-42.fc9
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.25-14.fc9.i686 #1
                              SMP Thu May 1 06:28:41 EDT 2008 i686 i686
Alert Count                   2
First Seen                    Mon 24 Jul 2006 02:43:52 PM CST
Last Seen                     Mon 24 Jul 2006 02:43:52 PM CST
Local ID                      b5cc1b56-19e8-4f85-961b-2472416fc891
Line Numbers                  

Raw Audit Messages            

host=localhost.localdomain type=AVC msg=audit(1153773832.296:57): avc:  denied 
{ signal } for  pid=3150 comm="mono" scontext=system_u:object_r:unlabeled_t:s0
tcontext=system_u:object_r:unlabeled_t:s0 tclass=process

host=localhost.localdomain type=SYSCALL msg=audit(1153773832.296:57):
arch=40000003 syscall=270 per=400000 success=no exit=-13 a0=c43 a1=c4e a2=6
a3=a1d4250 items=0 ppid=1 pid=3150 auid=500 uid=500 gid=500 euid=500 suid=500
fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="mono"
exe="/usr/bin/mono" subj=system_u:object_r:unlabeled_t:s0 key=(null)

error:3

Summary:

SELinux is preventing mono (unlabeled_t) "use" to /dev/null (unconfined_t).

Detailed Description:

SELinux denied access requested by mono. It is not expected that this access is
required by mono and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:object_r:unlabeled_t:s0
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                /dev/null [ fd ]
Source                        mono
Source Path                   /usr/bin/mono
Port                          <Unknown>
Host                          localhost.localdomain
Source RPM Packages           mono-core-1.9.1-2.fc9
Target RPM Packages           
Policy RPM                    selinux-policy-3.3.1-42.fc9
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.25-14.fc9.i686 #1
                              SMP Thu May 1 06:28:41 EDT 2008 i686 i686
Alert Count                   2
First Seen                    Mon 24 Jul 2006 02:43:52 PM CST
Last Seen                     Mon 24 Jul 2006 02:43:52 PM CST
Local ID                      81445a05-b7b5-4a1f-ae27-06fa776f19fd
Line Numbers                  

Raw Audit Messages            

host=localhost.localdomain type=AVC msg=audit(1153773832.296:58): avc:  denied 
{ use } for  pid=3150 comm="mono" path="/dev/null" dev=tmpfs ino=2137
scontext=system_u:object_r:unlabeled_t:s0
tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=fd

host=localhost.localdomain type=SYSCALL msg=audit(1153773832.296:58):
arch=40000003 syscall=4 per=400000 success=no exit=-13 a0=2 a1=a1eabb8 a2=50
a3=a1eabb8 items=0 ppid=1 pid=3150 auid=500 uid=500 gid=500 euid=500 suid=500
fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="mono"
exe="/usr/bin/mono" subj=system_u:object_r:unlabeled_t:s0 key=(null)

Comment 1 Paul F. Johnson 2008-07-25 09:57:37 UTC
*** Bug 456641 has been marked as a duplicate of this bug. ***

Comment 2 Paul F. Johnson 2008-07-25 09:58:12 UTC
*** Bug 456642 has been marked as a duplicate of this bug. ***

Comment 3 Paul F. Johnson 2008-07-25 09:58:48 UTC
*** Bug 456640 has been marked as a duplicate of this bug. ***

Comment 4 Bug Zapper 2009-06-10 02:14:17 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-07-14 15:59:14 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.